Your submission was sent successfully! Close

CVE-2018-1126

Published: 17 May 2018

procps-ng before version 3.3.15 is vulnerable to an incorrect integer size in proc/alloc.* leading to truncation/integer overflow issues. This flaw is related to CVE-2018-1124.

Notes

AuthorNote
mdeslaur
[PATCH 035/117] proc/alloc.*: Use size_t, not unsigned int.
Priority

Medium

CVSS 3 base score: 9.8

Status

Package Release Status
procps
Launchpad, Ubuntu, Debian
artful
Released (2:3.3.12-1ubuntu2.1)
bionic
Released (2:3.3.12-3ubuntu1.1)
precise
Released (1:3.2.8-11ubuntu6.5)
trusty
Released (1:3.3.9-1ubuntu2.3)
upstream
Released (3.3.15)
xenial
Released (2:3.3.10-4ubuntu2.4)
Patches:
upstream: https://gitlab.com/procps-ng/procps/commit/f1077b7a558a5545837aae068422e58f1f9b1d33